Bug 63978 - append="mem=128M" not working.
append="mem=128M" not working.
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.1
i586 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-04-22 18:12 EDT by Need Real Name
Modified: 2008-08-01 12:22 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:39:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2002-04-22 18:12:31 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.78 [en] (X11; U; Linux 2.4.2-2 i686)

Description of problem:
System has 128M of memory.   Memory test at bootup displays 131072k.  Added to
first line of lilo.conf  append="mem=128M".  Upon rebooting computer and typing
cat /proc/meminfo, system still shows 6474572 for total mem.
BIOS is Award Modular BIOS V4.51G

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Added to first line of lilo.conf append="mem=128M"
2.type /sbin/lilo -v
3.reboot computer
	

Actual Results:  After system reboots I type cat  /proc/meminfo and total mem
still show 6474672

Expected Results:  total mem should be around 128M

Additional info:

BIOS is Award Modular V4.51G
Comment 1 Doug Ledford 2002-04-23 14:05:01 EDT
This is most likely not a lilo issue but an e820 BIOS issue.  Reassigning to the
kernel (and to arjanv who knows more about the e820 issues than I do).
Comment 2 Need Real Name 2002-04-23 14:56:41 EDT
Also this may be related to the memory problem in the kernel.
We have a program that is crashing and when it crashes it puts a message in the
/var/log/messages file.
The message is "Unable to handle kernel paging request at virtual address
0a0a0924"
Comment 3 Bugzilla owner 2004-09-30 11:39:31 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.